import { ErrorWithStatus } from '../generated/types.js';
/**
 * This error class should be used if a service configuration is faulty.
 */
export class ServiceConfigurationError extends ErrorWithStatus {
    constructor(message, status) {
        super(message, status);
        this.name = 'ServiceConfigurationError';
    }
}
/**
 * This error class should be used if an operation cannot be executed from the current state.
 */
export class InvalidStateError extends ErrorWithStatus {
    constructor(message, status) {
        super(message, status);
        this.name = 'InvalidStateError';
    }
}
/**
 * This error class should be used as a wrapper for errors thrown by the api-client.
 */
export class InternalRequestError extends ErrorWithStatus {
    internalError;
    constructor(message, error, status) {
        super(message, status);
        this.name = 'InternalRequestError';
        this.internalError = error;
    }
}
/**
 * This error class should be used if a booking is invalid.
 */
export class InvalidBookingError extends ErrorWithStatus {
    constructor(message, status) {
        super(message, status);
        this.name = 'InvalidBookingError';
    }
}
/**
 * This error class should be used if an experiment does not meet the
 * requirements of its current status.
 */
export class MalformedExperimentError extends ErrorWithStatus {
    constructor(message, status) {
        super(message, status);
        this.name = 'MalformedExperimentError';
    }
}
//# sourceMappingURL=errors.js.map